ThisFirstClassLoader (Compiler assisted localization library (CAL10N) - Parent 0.7.7 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.qos.cal10n.plugins
Class ThisFirstClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  ch.qos.cal10n.plugins.ThisFirstClassLoader

    public class ThisFirstClassLoader

extends URLClassLoader

An almost trivial no fuss implementation of a class loader following the child-first delegation model.

Author:
  Ceki Gülcü

Constructor Summary
`ThisFirstClassLoader(URL[] urls)`
`ThisFirstClassLoader(URL[] urls, ClassLoader parent)`

Method Summary
`void` | `addURL(URL url)`
`Class<?>` | `loadClass(String name)`
`protected Class<?>` | `loadClass(String name, boolean resolve)` We override the parent-first behavior established by java.lang.Classloader.

Methods inherited from class java.net.URLClassLoader
`definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThisFirstClassLoader

    public ThisFirstClassLoader(URL[] urls)

### ThisFirstClassLoader

    public ThisFirstClassLoader(URL[] urls,
                                ClassLoader parent)

Method Detail

### addURL

    public void addURL(URL url)

  Overrides:
    `addURL` in class `URLClassLoader`

### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

### loadClass

    protected Class<?> loadClass(String name,
                                 boolean resolve)
                          throws ClassNotFoundException

  We override the parent-first behavior established by java.lang.Classloader. The implementation is surprisingly straightforward.

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 QOS.ch. All Rights Reserved.